petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoGetGradientVector

Returns the vector with the current TAO gradient

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetGradientVector(Tao tao, Vec *G)

Not Collective

### Input Parameter

tao -the Tao context

### Output Parameter

G -the current solution

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages